/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-08-20 19:25:50
 * @LastEditTime: 2022-09-16 15:13:18
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 我的“tabs”组件
 */
import React from 'react';
import './index.less';

const MyTabs = ({ tabs = [], activeKey, onChange, keyStr = ['key', 'title'] }) => {
	return (
		<div className="myTabs">
			{tabs.map((x, t) => {
				return (
					<div
						onClick={() => onChange(x[keyStr[0]] || t)}
						key={x[keyStr[0]] || t}
						className={`myTabs-tab ${activeKey === (x[keyStr[0]] || t) ? 'myTabs-active' : ''}`}
					>
						{x[keyStr[1]]}
					</div>
				);
			})}
		</div>
	);
};

export default MyTabs;
